
package com.tmerclub.cloud.api.product.dto;

import com.tmerclub.cloud.common.model.BaseModel;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 出入库商品项DTO
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
public class StockBillLogItemDTO extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    public StockBillLogItemDTO(Long spuId, Long skuId, Long shopId, Long orderId, String spuName, String skuName, Integer stockCount, Long unitPrice, String partyCode, String mainImgUrl) {
        this.spuId = spuId;
        this.skuId = skuId;
        this.shopId = shopId;
        this.orderId = orderId;
        this.spuName = spuName;
        this.skuName = skuName;
        this.stockCount = stockCount;
        this.unitPrice = unitPrice;
        this.partyCode = partyCode;
        this.mainImgUrl = mainImgUrl;
    }

    @Schema(description = "出入库明细id")
    private Long stockBillLogId;

    @Schema(description = "商品id")
    private Long spuId;
    @Schema(description = "skuId")
    private Long skuId;

    @Schema(description = "店铺Id")
    private Long shopId;

    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "库存仓库id")
    private Long stockPointId;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品sku名称")
    private String skuName;

    @Schema(description = "实际出入库数量")
    private Integer stockCount;

    @Schema(description = "商品库存剩余量")
    private Integer afterStock;

    @Schema(description = "成本单价")
    private Long unitPrice;

    @Schema(description = "商品编码")
    private String partyCode;
    @Schema(description = "商品图片")
    private String mainImgUrl;

    @Schema(description = "发货方式 1.供应商发货 2.仓库发货")
    private Integer supplierDeliveryType;

    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "类型，1：出库 2：入库")
    private Integer stocktype;

    @Schema(description = "单据类型")
    private Integer stockBillType;

    @Schema(description = "库存点类型")
    private Integer stockPointType;

    @Schema(description = "制单人手机号")
    private String makerMobile;

    public String getMakerMobile() {
        return makerMobile;
    }

    public void setMakerMobile(String makerMobile) {
        this.makerMobile = makerMobile;
    }

    public Integer getStockPointType() {
        return stockPointType;
    }

    public void setStockPointType(Integer stockPointType) {
        this.stockPointType = stockPointType;
    }

    public Long getStockPointId() {
        return stockPointId;
    }

    public void setStockPointId(Long stockPointId) {
        this.stockPointId = stockPointId;
    }
    public Integer getStocktype() {
        return stocktype;
    }

    public void setStocktype(Integer stocktype) {
        this.stocktype = stocktype;
    }

    public Integer getStockBillType() {
        return stockBillType;
    }

    public void setStockBillType(Integer stockBillType) {
        this.stockBillType = stockBillType;
    }

    public StockBillLogItemDTO() {
    }

    public Integer getSupplierDeliveryType() {
        return supplierDeliveryType;
    }

    public void setSupplierDeliveryType(Integer supplierDeliveryType) {
        this.supplierDeliveryType = supplierDeliveryType;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public Integer getStockCount() {
        return stockCount;
    }

    public void setStockCount(Integer stockCount) {
        this.stockCount = stockCount;
    }

    public Integer getAfterStock() {
        return afterStock;
    }

    public void setAfterStock(Integer afterStock) {
        this.afterStock = afterStock;
    }

    public Long getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(Long unitPrice) {
        this.unitPrice = unitPrice;
    }

    public String getPartyCode() {
        return partyCode;
    }

    public void setPartyCode(String partyCode) {
        this.partyCode = partyCode;
    }

    public String getMainImgUrl() {
        return mainImgUrl;
    }

    public void setMainImgUrl(String mainImgUrl) {
        this.mainImgUrl = mainImgUrl;
    }

    public Long getStockBillLogId() {
        return stockBillLogId;
    }

    public void setStockBillLogId(Long stockBillLogId) {
        this.stockBillLogId = stockBillLogId;
    }

    @Override
    public String toString() {
        return "StockBillLogItemDTO{" +
                "stockBillLogId=" + stockBillLogId +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", shopId=" + shopId +
                ", orderId=" + orderId +
                ", stockPointId=" + stockPointId +
                ", spuName='" + spuName + '\'' +
                ", skuName='" + skuName + '\'' +
                ", stockCount=" + stockCount +
                ", afterStock=" + afterStock +
                ", unitPrice=" + unitPrice +
                ", partyCode='" + partyCode + '\'' +
                ", mainImgUrl='" + mainImgUrl + '\'' +
                ", supplierDeliveryType=" + supplierDeliveryType +
                ", supplierId=" + supplierId +
                ", stocktype=" + stocktype +
                ", stockBillType=" + stockBillType +
                ", stockPointType=" + stockPointType +
                ", makerMobile='" + makerMobile + '\'' +
                '}';
    }
}
